FROM python:3.13.1-slim-bookworm

# Install dependencies
COPY requirements.txt /app/requirements.txt
RUN pip install --no-cache-dir -r /app/requirements.txt

# Copy the application
COPY main.py /app
COPY utils/ /app/utils
WORKDIR /app

# Run the application
CMD ["python", "main.py"]